# Class LittleEndianOutputStream

java.lang.Object
java.io.OutputStream
java.io.FilterOutputStream
htsjdk.tribble.util.LittleEndianOutputStream

All Implemented Interfaces:
  `Closeable, Flushable, AutoCloseable`

public final class LittleEndianOutputStream extends FilterOutputStream

## Field Summary

Fields
Modifier and Type
Field
Description
`protected long`
`written`

### Fields inherited from class FilterOutputStream

`out`

## Constructor Summary

Constructors
Constructor
Description
`LittleEndianOutputStream(OutputStream out)`

## Method Summary

Modifier and Type
Method
Description
`long`
`getWrittenCount()`
`void`
`setWrittenCount(long count)`
`void`
`write(byte[] data, int offset, int length)`
`void`
`write(int b)`
`void`
`writeBoolean(boolean b)`
`void`
`writeByte(int b)`
`void`
`writeBytes(String s)`
`void`
`writeChar(int c)`
`final void`
`writeDouble(double d)`
`final void`
`writeFloat(float f)`
`void`
`writeInt(int i)`
`void`
`writeLong(long l)`
`void`
`writeShort(int s)`
`void`
`writeString(String s)`
Srite a string as a null terminated byte array.

### Methods inherited from class FilterOutputStream

`close, flush, write`

### Methods inherited from class OutputStream

`nullOutputStream`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### written

protected long written

## Constructor Details

### LittleEndianOutputStream

public LittleEndianOutputStream(OutputStream out)

## Method Details

### write

public void write(int b) throws IOException

Overrides:
  `write` in class `FilterOutputStream`
Throws:
  `IOException`

### write

public void write(byte[] data, int offset, int length) throws IOException

Overrides:
  `write` in class `FilterOutputStream`
Throws:
  `IOException`

### writeBoolean

public void writeBoolean(boolean b) throws IOException

Throws:
  `IOException`

### writeByte

public void writeByte(int b) throws IOException

Throws:
  `IOException`

### writeShort

public void writeShort(int s) throws IOException

Throws:
  `IOException`

### writeChar

public void writeChar(int c) throws IOException

Throws:
  `IOException`

### writeInt

public void writeInt(int i) throws IOException

Throws:
  `IOException`

### writeLong

public void writeLong(long l) throws IOException

Throws:
  `IOException`

### writeFloat

public final void writeFloat(float f) throws IOException

Throws:
  `IOException`

### writeDouble

public final void writeDouble(double d) throws IOException

Throws:
  `IOException`

### writeBytes

public void writeBytes(String s) throws IOException

Throws:
  `IOException`

### writeString

public void writeString(String s) throws IOException
Srite a string as a null terminated byte array.

Parameters:
  `s` -
Throws:
  `IOException`

### getWrittenCount

public long getWrittenCount()

### setWrittenCount

public void setWrittenCount(long count)